import { TableSettingButtonSlimmer } from './table-setting-button-slimmer.abstract';
/**
 * Slimmer dedicated to building the caption button.
 */
export declare class CaptionButtonSlimmer extends TableSettingButtonSlimmer {
  constructor();
  protected isSelected(): boolean;
  protected isDisabled(): boolean;
  protected handleClick(): void;
  protected getTitle(): string;
}
